---
layout: markdown_page
title: "Backend Group"
---

## On this page
{:.no_toc}

- TOC
{:toc}

## Teams

There are a number of teams within the Backend group:

* [CI/CD](/handbook/backend#cicd)
* [Discussion](/handbook/backend#discussion)
* [Platform](/handbook/backend#platform)
* [Monitoring](/handbook/backend#monitoring)

Each team has a different focus on what issues to work on for each
release. The following information is not meant to be a set of hard-and-fast
rules, but as a guideline as to what team decides can best improve certain
areas of GitLab.

APIs should be shared responsibility between all teams within the
Backend group.

There is a backend group call every Tuesday, before the team call. You should
have been invited when you joined; if not, ask your team lead!

[Find the product manager mapping to engineering teams in the product handbook](/handbook/product)

### CI/CD Team
{: #cicd}

The CI/CD Team is focused on all the functionality with respect to
Continuous Integration and Deployments.

[See the exact mapping in the product handbook](/handbook/product/#cicd)

### Discussion Team
{: #discussion}

The Discussion Team is focused on the collaboration functionality of GitLab.

[See the exact mapping in the product handbook](/handbook/product/#discussion)

### Platform Team
{: #platform}

The Platform Team is focused on all the other areas of GitLab that
the CI and Discussion Teams do not cover.

[See the exact mapping in the product handbook](/handbook/product/#platform)

### Monitoring Team
{: #monitoring}

[Monitoring](https://prometheus.io/) shipped with GitLab 8.16.

[Find the team definition in the product handbook](/handbook/product/#prometheus)

### Mapping to Direction Issues
{: #mapping-to-direction-issues}

There is a rough mapping of [Direction Issues](https://about.gitlab.com/direction/) to different backend groups. Note
that the following is meant as a guideline, not as a hard-and-fast rule, as there
were invariably be instances where it may be ambiguous or
multiple teams may be involved in each area:

1. Idea (Platform)
2. Issue (Discussion)
3. Plan (Discussion)
4. Code (Platform)
5. Commit (Platform)
6. Test (CI/CD)
7. Review (Discussion)
8. Staging (CI/CD)
9. Production (CI/CD)
10. Feedback (Platform, Monitoring)
